import httpRequest from '@/utils/httpRequest'

// 获取文章分类
export function getAllClassify(params) {
  return httpRequest.get('/api/microservices/api/category/articles', { params })
}
// 获取文章
export function getArticle(params) {
  return httpRequest.get('/api/microservices/api/article/list', { params })
}
// 获取文章详情
export function getArticleDetail(id) {
  return httpRequest.get(`/api/microservices/api/article/${id}/info`)
}
export function formCommit(data) {
  return httpRequest.post('/api/microservices/api/v3/apply/teacher-form', data)
}
// 获取轮播
export function getBanner(params) {
  return httpRequest.get('/api/microservices/api/carousel/list', { params })
}
// 发送验证码
export function sendCheckedCode(data) {
  return httpRequest.post('/api/usercenter/user/send-code', data)
}
// 注册
export function register(data) {
  return httpRequest.post('/api/usercenter/user/register', data)
}
// 注册
export function register2(data) {
  return httpRequest.post('/api/usercenter/user/register-and-login-by-mobile', data)
}
// 获取用户信息
export function getUserInfo() {
  return httpRequest.get('/api/passport/account/get-user-info')
}
// 表单回显
export const getFormDetail = (params) => {
  return httpRequest.get('/api/microservices/api/v3/apply/teacher-form-detail', { params })
}

// 下单
export function getOrder(data) {
  return httpRequest.post('/api/microservices/api/v3/apply/unified-order', data)
}
// 查看订单状态
export function checkPay(id) {
  return httpRequest.post('/api/pay/order/query', { order_id: id }, { headers: { 'Content-Type': 'application/json' } })
}
// 支付完成通知
export function payEnd(data) {
  return httpRequest.post('/api/microservices/api/v3/apply/pay-end', data)
}
// 更新用户信息
export function updateUserInfo(data) {
  return httpRequest.post('/api/usercenter/user/update-user', data)
}
// 获取证书
export function getCard(params) {
  return httpRequest.get('/api/cert/api/v1/cert/detail', { params })
}

/**
 * 提交留咨信息
 */
export function postNes(data) {
  return httpRequest.post('/api/enrollment/v1.0/applications', data)
}
